#ifndef ALLOC_A_INCLUDED
#define ALLOC_A_INCLUDED

//
// Copyright 2002, 2012, Lowell Boggs Jr.
//
// This file, containing source code for a computer program,
// is Copyrighted by Lowell Boggs, Jr.  987 Regency Drive, Lewisville
// TX (USA), 75067.  You may use, copy, modify, and distribute this
// source file without charge or obligation so long as you agree to
// the following:
//
//  1.  You agree not to break the laws of the United States of America.
//
//  2.  You must indemnify Lowell Boggs against any and all financial
//      obligations caused by its use, misuse, function, or malfunction.
//
//  3.  You agree not to attempt to patent any portion of this original
//      work -- though you may attempt to patent your own extensions to
//      it if you so choose.
//
//  4.  You keep this copyright notice with the file and all copies
//      of the file and do not change it anyway except language translation.
//
// You are responsible for enforcing your own compliance with these
// conditions and may not use this source file if you cannot agree to the
// above terms and conditions.


///@file calloca.h
///  This header file makes the use of alloca portable -- it is generally
///  inadvisable to use alloca in C++, but you never know when an overwhelming
///  need will pop up.
/// 


// make the "C" 'alloca()' function portable

# if defined(_MSC_VER) || defined(_POWER)
#  include <malloc.h>
# else
#  include <alloca.h>
# endif


#endif
